//*****************************************************************************
//
// This file is generated by ftrasterize; DO NOT EDIT BY HAND!
//
//*****************************************************************************
#include <stdbool.h>
#include <stdint.h>
#include "grlib/grlib.h"

//*****************************************************************************
//
// Details of this font:
//     Characters: 32 to 126 inclusive
//     Style: apercu
//     Size: 22 point
//     Bold: yes
//     Italic: no
//     Memory usage: 2520 bytes
//
//*****************************************************************************

//*****************************************************************************
//
// The compressed data for the 22 point Apercu bold font.
// Contains characters 32 to 126 inclusive.
//
//*****************************************************************************
static const unsigned char g_pucApercu22bData[2319] =
{
      5,   9,   0,  24,  96,  17,   5, 163,  35,  35,  35,  35,
     35,  35,  35,  35,  35, 195,  35,  35, 240, 192,  16,   9,
    240,  51,  19,  35,  19,  35,  19,  34,  35,  34,  49,   0,
     17,  32,  33,  15, 240, 240,  82,  34, 131,  34, 130,  50,
    130,  35,  92,  60,  82,  50, 130,  50, 130,  50,  92,  60,
     83,  34, 130,  50, 130,  35, 130,  34,   0,  10,  32,  28,
     12,  67, 147, 133, 103,  67,  35,  67, 147, 149, 133, 134,
    118, 132,  50,  67,  35,  67,  51,  51,  56,  86, 131, 147,
    240, 240, 176,  40,  18, 240, 240, 131, 115,  55,  82,  66,
     50,  66,  82,  50,  51,  87,  35, 117,  35, 242, 242, 243,
     35, 147,  37, 115,  34,  50,  98,  50,  50,  82,  66,  50,
     67,  85,  67, 115,   0,  11,  96,  32,  15, 240, 240,  67,
    167, 131,  19, 131,  19, 131,  19, 149, 148, 166, 132,  19,
     33,  67,  54,  51,  53,  67,  68,  68,  52,  91,  86,  20,
      0,   9,  80,  10,   5, 163,  35,  35,  34,  50,   0,   9,
     96,  21,   7, 147,  66,  67,  67,  51,  67,  67,  67,  67,
     67,  67,  67,  67,  83,  67,  82,  83, 240, 240,  22,   7,
    115,  82,  83,  67,  82,  83,  67,  67,  67,  67,  67,  67,
     67,  51,  67,  66,  67, 240, 240,  32,  15,  10, 240, 130,
    130,  88,  40,  68, 100,  86,  81,  33,   0,  15,  64,  17,
     12,   0,   8,   3, 147, 147, 147,  90,  42,  99, 147, 147,
    147,   0,  11,  16,  12,   7,   0,  12,  67,  52,  51,  67,
     66,  66, 240,  64,   8,  10,   0,  11,  40,  40,   0,  14,
      9,   5,   0,   8,  99,  35,  35, 240, 192,  23,  14, 240,
    131, 179, 163, 178, 179, 178, 179, 178, 179, 163, 178, 179,
    178, 179, 178, 179, 163,   0,   8,  48,  32,  13, 240, 229,
    119,  83,  51,  67,  51,  51,  83,  35,  83,  35,  83,  35,
     83,  35,  83,  35,  83,  35,  83,  51,  51,  67,  51,  87,
    117,   0,   8,  96,  22,   8, 240,  82,  68,  38,  38,  34,
     19,  83,  83,  83,  83,  83,  83,  83,  83,  83,  83, 240,
    240, 192,  23,  12, 240, 197,  88,  52,  36,  35,  67, 147,
    147, 132, 116, 116, 131, 132, 116, 116, 122,  42,   0,   7,
     96,  24,  13, 240, 201,  72, 163, 147, 147, 163, 151, 113,
     20, 179, 163, 163,  35,  83,  51,  51,  73, 101,   0,   8,
     96,  27,  13, 240, 240,  35, 148, 148, 133, 118, 114,  19,
     99,  19,  98,  35,  83,  35,  82,  51,  75,  43, 131, 163,
    163,   0,   8,  80,  24,  12, 240, 168,  72,  66, 162, 147,
    152,  73,  51,  52, 147, 147, 147,  35,  67,  35,  51,  72,
     85,   0,   8,  16,  27,  12, 240, 227, 131, 146, 147, 131,
    149, 104,  67,  35,  51,  67,  35,  67,  35,  67,  35,  67,
     51,  35,  72, 100,   0,   8,  16,  21,  11, 240, 121,  41,
    130, 131, 131, 115, 131, 130, 131, 131, 130, 131, 130, 131,
    131,   0,   7,  96,  30,  12, 240, 196, 104,  52,  36,  35,
     67,  35,  67,  36,  36,  56,  72,  52,  36,  35,  67,  35,
     67,  35,  67,  36,  36,  56, 100,   0,   8,  16,  26,  12,
    240, 196, 104,  52,  35,  51,  67,  35,  67,  35,  67,  36,
     36,  56, 102, 131, 132, 131, 131, 147, 131,   0,   8,  48,
     12,   5, 240, 243,  35,  35, 240, 195,  35,  35, 240, 192,
     16,   6, 240, 240, 115,  51,  51, 240, 195,  50,  51,  51,
     50,  66, 240, 112,  18,  11,   0,   7,  98, 116,  86,  54,
     69,  99, 133, 133, 133, 131, 161,   0,   8,  64,  12,  12,
      0,  10,  74,  42, 240, 186,  42,   0,  13,  96,  18,  11,
      0,   6, 114, 147, 133, 133, 133, 116,  86,  54,  69,  99,
    129,   0,   9,  64,  22,  10, 240, 116,  86,  51,  35, 115,
    100,  68,  83, 114,  33,  86,  84, 240, 195, 115, 115,   0,
      6,  96,  49,  20,   0,   5, 103, 187, 117,  84,  99, 147,
     67,  52,  17,  20,  51,  24,  35,  35,  20,  50,  35,  35,
     19,  66,  35,  35,  19,  66,  35,  35,  19,  51,  35,  35,
     44,  52,  36,  36,  83, 240,  36, 240,  37,  83, 155, 183,
      0,   8,  48,  30,  15, 240, 240,  83, 196, 165, 165, 166,
    131,  19, 131,  34, 131,  35,  99,  51, 105, 106,  67,  83,
     67,  99,  51,  99,  35, 115,   0,   9,  80,  30,  13, 240,
    184,  89,  67,  67,  51,  67,  51,  67,  51,  67,  57,  74,
     51,  68,  35,  83,  35,  83,  35,  83,  35,  68,  42,  56,
      0,   8,  96,  28,  16, 240, 240, 102, 153,  99,  68,  67,
    100,  36, 113,  67, 211, 211, 211, 211, 212, 113,  83, 100,
     67,  68, 105, 134,   0,  10,  96,  32,  14, 240, 216, 105,
     83,  52,  67,  83,  51,  84,  35,  99,  35,  99,  35,  99,
     35,  99,  35,  99,  35,  84,  35,  83,  51,  52,  73,  88,
      0,   9,  64,  21,  12, 240, 154,  42,  35, 147, 147, 147,
    152,  72,  67, 147, 147, 147, 147, 154,  42,   0,   7,  96,
     21,  12, 240, 154,  42,  35, 147, 147, 147, 153,  57,  51,
    147, 147, 147, 147, 147, 147,   0,   8,  80,  31,  16, 240,
    240, 117, 153,  99,  68,  67, 100,  36, 115,  35, 211, 211,
    211,  86,  35,  86,  36, 115,  51, 100,  67,  69,  91, 102,
     19,   0,  10,  32,  33,  14, 240, 211,  99,  35,  99,  35,
     99,  35,  99,  35,  99,  35,  99,  44,  44,  35,  99,  35,
     99,  35,  99,  35,  99,  35,  99,  35,  99,  35,  99,   0,
      9,  19,   5, 163,  35,  35,  35,  35,  35,  35,  35,  35,
     35,  35,  35,  35,  35,  35, 240, 192,  23,  12, 240, 240,
     19, 147, 147, 147, 147, 147, 147, 147, 147, 147, 147,  50,
     67,  36,  36,  56,  86,   0,   8,  32,  14, 240, 211,  83,
     51,  67,  67,  51,  83,  36,  83,  20, 103, 118, 134, 131,
     19, 115,  20,  99,  36,  83,  51,  83,  67,  67,  68,  51,
     84,   0,   9,  21,  12, 240, 147, 147, 147, 147, 147, 147,
    147, 147, 147, 147, 147, 147, 147, 154,  42,   0,   7,  96,
     45,  16, 240, 240,  36, 100,  36, 100,  36, 100,  37,  69,
     37,  69,  38,  38,  38,  38,  35,  18,  34,  19,  35,  22,
     19,  35,  22,  19,  35,  36,  35,  35,  36,  35,  35,  50,
     51,  35,  50,  51,  35, 131,   0,  10,  32,  38,  14, 240,
    211,  99,  36,  83,  37,  67,  37,  67,  38,  51,  38,  51,
     35,  19,  35,  35,  20,  19,  35,  35,  19,  35,  54,  35,
     54,  35,  69,  35,  69,  35,  84,  35,  99,   0,   9,  33,
     17, 240, 240, 150, 153, 115,  83,  83, 115,  52, 115,  51,
    147,  35, 147,  35, 147,  35, 147,  35, 147,  36, 116,  51,
    115,  83,  83, 121, 151,   0,  11,  48,  26,  13, 240, 185,
     74,  51,  68,  35,  83,  35,  83,  35,  83,  35,  68,  42,
     57,  67, 163, 163, 163, 163, 163,   0,   9,  48,  35,  17,
    240, 240, 134, 169, 115,  83,  83, 115,  52, 115,  51, 147,
     35, 147,  35, 147,  35,  97,  35,  35,  98,  19,  36,  71,
     51,  85,  83,  84, 108, 103,  33,   0,  11,  32,  13, 240,
    184,  89,  67,  67,  51,  67,  51,  67,  51,  67,  57,  72,
     83,  34,  99,  35,  83,  51,  67,  51,  67,  67,  51,  67,
     51,  83,   0,   8,  48,  24,  12, 240, 196, 119,  67,  35,
     67, 147, 149, 134, 118, 118, 132,  50,  67,  35,  67,  51,
     51,  56, 101,   0,   8,  21,  13, 240, 187,  43,  99, 163,
    163, 163, 163, 163, 163, 163, 163, 163, 163, 163, 163,   0,
      8, 112,  34,  14, 240, 211,  99,  35,  99,  35,  99,  35,
     99,  35,  99,  35,  99,  35,  99,  35,  99,  35,  99,  35,
     99,  35,  99,  35,  99,  51,  67,  88, 118,   0,   9,  48,
     32,  15, 240, 243, 115,  51,  99,  51,  83,  67,  83,  83,
     67,  83,  51,  99,  51, 115,  35, 115,  19, 131,  19, 146,
     19, 149, 165, 180, 179,   0,  10,  32,  47,  21, 240, 240,
    195, 211,  35, 195,  51,  83,  67,  51,  68,  67,  66,  68,
     67,  67,  53,  35,  83,  38,  35,  83,  35,  18,  35,  98,
     34,  34,  35, 102,  35,  18, 118,  38, 117,  69, 132,  69,
    132,  68, 148,  83,   0,  13, 112,  31,  15, 240, 240,  19,
     83,  83,  51,  99,  51, 115,  19, 150, 149, 179, 195, 181,
    151, 131,  19, 115,  51,  99,  51,  83,  83,  52,  84,   0,
      9,  80,  27,  13, 240, 179,  83,  35,  83,  51,  51,  67,
     51,  83,  19,  99,  19, 117, 133, 147, 163, 163, 163, 163,
    163, 163,   0,   8, 112,  21,  13, 240, 186,  58, 147, 148,
    147, 148, 147, 148, 147, 147, 163, 147, 163, 155,  43,   0,
      8,  48,  21,   7, 117,  37,  35,  67,  67,  67,  67,  67,
     67,  67,  67,  67,  67,  67,  67,  69,  37, 240, 240,  22,
     14, 227, 194, 195, 194, 195, 194, 195, 195, 179, 195, 194,
    195, 194, 195, 195, 179, 195,   0,   7,  32,  22,   8, 134,
     38,  83,  83,  83,  83,  83,  83,  83,  83,  83,  83,  83,
     83,  83,  38,  38, 240, 240,  64,  17,  13, 240, 243, 149,
    133, 115,  19,  83,  51,  66,  82,  51,  83,   0,  21,  48,
      9,  12,   0,  25,  74,  42, 240, 240, 128,   7,   6, 195,
     67,  66,   0,  13,  23,  11,   0,   8,  69,  87,  51,  51,
    131,  71,  56,  35,  51,  35,  51,  35,  36,  41,  52,  19,
      0,   7,  16,  30,  13, 240, 179, 163, 163, 163, 163,  20,
     90,  52,  51,  51,  83,  35,  83,  35,  83,  35,  83,  35,
     83,  36,  51,  58,  51,  20,   0,   8,  96,  21,  12,   0,
      9,  53,  89,  51,  51,  35,  81,  51, 147, 147, 147,  81,
     67,  51,  57,  85,   0,   8,  31,  13, 240, 240,  67, 163,
    163, 163,  84,  19,  58,  51,  52,  35,  83,  35,  83,  35,
     83,  35,  83,  35,  83,  51,  52,  58,  84,  19,   0,   8,
     48,  22,  12,   0,   9,  52, 104,  67,  50,  51,  67,  42,
     42,  35, 147,  66,  67,  51,  56, 100,   0,   8,  16,  21,
      9, 240, 100,  54,  51,  99,  86,  54,  67,  99,  99,  99,
     99,  99,  99,  99,  99,   0,   6,  32,  26,  12,   0,   9,
     55,  71,  67,  35,  67,  35,  67,  35,  86,  86,  83, 147,
    153,  73,  35,  67,  35,  67,  56,  86, 240,  16,  31,  12,
    240, 147, 147, 147, 147, 147,  21,  58,  36,  51,  36,  51,
     35,  67,  35,  67,  35,  67,  35,  67,  35,  67,  35,  67,
     35,  67,   0,   7,  96,  18,   5, 163,  35,  35, 115,  35,
     35,  35,  35,  35,  35,  35,  35,  35,  35, 240, 192,  22,
      7, 240,  19,  67,  67, 179,  67,  67,  67,  67,  67,  67,
     67,  67,  67,  67,  67,  51,  52,  51, 176,  30,  12, 240,
    147, 147, 147, 147, 147,  52,  35,  36,  51,  20,  67,  19,
     86, 102,  99,  19,  83,  19,  83,  35,  67,  51,  51,  67,
      0,   7,  96,  19,   5, 163,  35,  35,  35,  35,  35,  35,
     35,  35,  35,  35,  35,  35,  35,  35, 240, 192,  38,  17,
      0,  12,  99,  20,  36,  63,  36,  36,  35,  35,  51,  51,
     35,  51,  51,  35,  51,  51,  35,  51,  51,  35,  51,  51,
     35,  51,  51,  35,  51,  51,  35,  51,  51,   0,  10, 112,
     28,  12,   0,   9,   3,  21,  58,  36,  51,  36,  51,  35,
     67,  35,  67,  35,  67,  35,  67,  35,  67,  35,  67,  35,
     67,   0,   7,  96,  25,  13,   0,  10,  21, 119,  83,  51,
     51,  83,  35,  83,  35,  83,  35,  83,  35,  83,  51,  51,
     72, 117,   0,   8,  96,  30,  13,   0,   9,  99,  20,  90,
     52,  51,  51,  83,  35,  83,  35,  83,  35,  83,  35,  83,
     36,  51,  58,  51,  20,  83, 163, 163, 163, 240, 128,  29,
     13,   0,  10,  20,  19,  58,  51,  52,  35,  83,  35,  83,
     35,  83,  35,  83,  35,  83,  51,  52,  58,  84,  19, 163,
    163, 163, 163, 240,  19,  10,   0,   7,  67,  20,  39,  53,
     84,  99, 115, 115, 115, 115, 115, 115,   0,   7,  16,  21,
     11,   0,   8,  84, 102,  67,  33,  83, 134, 102, 117,  65,
     51,  35,  51,  55, 100,   0,   7,  48,  21,   9, 240,  98,
     99,  99,  99,  71,  39,  67,  99,  99,  99,  99,  99,  99,
    116,  99,   0,   5, 112,  28,  12,   0,   9,   3,  67,  35,
     67,  35,  67,  35,  67,  35,  67,  35,  67,  35,  67,  35,
     52,  35,  52,  42,  53,  19,   0,   7,  96,  24,  12,   0,
      9,   3,  67,  50,  67,  51,  50,  67,  35,  82,  35,  82,
     34, 102, 117, 116, 132, 147,   0,   8,  16,  39,  17,   0,
     12,  98,  67,  51,  35,  51,  51,  35,  51,  51,  50,  37,
     34,  66,  34,  18,  19,  67,  18,  18,  19,  82,  18,  18,
     18, 100,  37, 100,  52, 115,  51, 131,  51,   0,  11,  32,
     24,  12,   0,   9,  19,  51,  66,  35,  83,  18, 117, 116,
    147, 133, 102,  99,  19,  67,  50,  51,  67,   0,   7,  96,
     27,  12,   0,   9,   3,  82,  50,  67,  51,  51,  51,  50,
     83,  19,  83,  18, 117, 117, 131, 147, 147, 146, 147, 146,
    147, 240,  64,  18,  10,   0,   7,  72,  40,  99, 114, 115,
    114, 115,  99, 114, 120,  40,   0,   6,  64,  22,   8, 240,
     67,  68,  67,  83,  83,  83,  83,  53,  52,  99,  83,  83,
     83,  83,  83,  84,  83, 240, 176,  21,   5,  83,  35,  35,
     35,  35,  35,  35,  35,  35,  35,  35,  35,  35,  35,  35,
     35,  35, 240, 112,  23,   9, 240,  52,  85,  99,  99,  99,
     99,  99, 116,  84,  67,  99,  99,  99,  99,  99,  69,  68,
    240, 240,  32,  12,  13,   0,  13,  20,  65,  59,  42, 132,
      0,  16,  96,
};

//*****************************************************************************
//
// The font definition for the 22 point Apercu bold font.
//
//*****************************************************************************
const tFont g_sFontApercu22b =
{
    //
    // The format of the font.
    //
    FONT_FMT_PIXEL_RLE,

    //
    // The maximum width of the font.
    //
    18,

    //
    // The height of the font.
    //
    22,

    //
    // The baseline of the font.
    //
    17,

    //
    // The offset to each character in the font.
    //
    {
           0,    5,   22,   38,   71,   99,  139,  171,
         181,  202,  224,  239,  256,  268,  276,  285,
         308,  340,  362,  385,  409,  436,  460,  487,
         508,  538,  564,  576,  592,  610,  622,  640,
         662,  711,  741,  771,  799,  831,  852,  873,
         904,  937,  956,  979, 1011, 1032, 1077, 1115,
        1148, 1174, 1209, 1241, 1265, 1286, 1320, 1352,
        1399, 1430, 1457, 1478, 1499, 1521, 1543, 1560,
        1569, 1576, 1599, 1629, 1650, 1681, 1703, 1724,
        1750, 1781, 1799, 1821, 1851, 1870, 1908, 1936,
        1961, 1991, 2020, 2039, 2060, 2081, 2109, 2133,
        2172, 2196, 2223, 2241, 2263, 2284, 2307,
    },

    //
    // A pointer to the actual font data
    //
    g_pucApercu22bData
};
